<?


if ($_GET['act'] == "sync") {
	require_once($sys['root']."/system/includes/myfiles/actions/sync.inc");
} else if ($_GET['act'] == "cut") {
	require_once($sys['root']."/system/includes/myfiles/actions/cut.inc");
} else if ($_GET['act'] == "copy") {
	require_once($sys['root']."/system/includes/myfiles/actions/copy.inc");
} else if ($_GET['act'] == "cutfromtrash") {
	require_once($sys['root']."/system/includes/myfiles/actions/cutfromtrash.inc");
} else if ($_GET['act'] == "delete") {
	require_once($sys['root']."/system/includes/myfiles/actions/delete.inc");
} else if ($_GET['act'] == "download") {
	require_once($sys['root']."/system/includes/myfiles/actions/download.inc");
} else if ($_GET['act'] == "upload") {
	require_once($sys['root']."/system/includes/myfiles/actions/upload.inc");
} else if ($_GET['act'] == "newfolder") {
	require_once($sys['root']."/system/includes/myfiles/actions/newfolder.inc");
} else if ($_GET['act'] == "rename") {
	require_once($sys['root']."/system/includes/myfiles/actions/rename.inc");
} else if ($_GET['act'] == "zip") {
	require_once($sys['root']."/system/includes/myfiles/actions/zip.inc");
} else if ($_GET['act'] == "unzip") {
	require_once($sys['root']."/system/includes/myfiles/actions/unzip.inc");
} else if ($_GET['act'] == "copyshared") {
	require_once($sys['root']."/system/includes/myfiles/actions/copyshared.inc");
} else if ($_GET['act'] == "multidownload") {
	require_once($sys['root']."/system/includes/myfiles/actions/multidownload.inc");
} else if ($_GET['act'] == "dropdrag") {
	require_once($sys['root']."/system/includes/myfiles/actions/dropdrag.inc");
} else if ($_GET['act'] == "viewimage") {
	require_once($sys['root']."/system/includes/myfiles/actions/viewimage.inc");
} else {
	echo "unknown action";
}

?>